tidy::root
tidyNode::getParent
Tidy
PHP Manual

# The TidyNode class

## Wstęp

An HTML node in an HTML file, as detected by tidy.

## Krótki opis klasy

TidyNode
TidyNode {
/* Właściwości */
$value;
$name;
$type;
$line;
$column;
$proprietary;
$id;
$attribute;
$child;
/* Metody */
tidyNode tidyNode::getParent ( void )
bool tidyNode::hasChildren ( void )
bool tidyNode::hasSiblings ( void )
bool tidyNode::isAsp ( void )
bool tidyNode::isComment ( void )
bool tidyNode::isHtml ( void )
bool tidyNode::isJste ( void )
bool tidyNode::isPhp ( void )
bool tidyNode::isText ( void )
}

## Właściwości

value

  The HTML representation of the node, including the surrounding tags.

name

  The name of the HTML node

type

  The type of the tag (one of the constants above, e.g. `TIDY_NODETYPE_PHP`)

line

  The line number at which the tags is located in the file

column

  The column number at which the tags is located in the file

proprietary

  Indicates if the node is a proprietary tag

id

  The ID of the tag (one of the constants above, e.g. `TIDY_TAG_FRAME`)

attribute

  An array of string, representing the attributes names (as keys) of the current node.

child

  An array of TidyNode, representing the children of the current node.

Wersja | Opis
--- | ---
5.1.0 | line, column and proprietary were added

## Spis treści

- tidyNode::getParent — zwraca rodzica bieżącego węzła
- tidyNode::hasChildren — Checks if a node has children
- tidyNode::hasSiblings — Checks if a node has siblings
- tidyNode::isAsp — Checks if this node is ASP
- tidyNode::isComment — Checks if a node represents a comment
- tidyNode::isHtml — Checks if a node is part of a HTML document
- tidyNode::isJste — Checks if this node is JSTE
- tidyNode::isPhp — Checks if a node is PHP
- tidyNode::isText — Checks if a node represents text (no markup)

tidy::root
tidyNode::getParent
Tidy
PHP Manual